angular.module('admin')
.controller('ClientController', function($scope, $http, $route, $window){
  $scope.cliente = {};
  $scope.mensagem = '';

    $scope.pesquisar = function(){
      if ($scope.formClient.$valid) {
        $http.post('../api/search', $scope.cliente)
        .success(function(){
          $scope.mensagem = 'Cliente já está cadastrado no Bhan';
          $('.btn-primary').removeClass('bt-hide').addClass('bt-show');
        })
        .error(function(err){
          if (err.resp == 'pessoa nao encontrado(a)') {
            $('.btn-success').removeClass('bt-hide').addClass('bt-show');
            $scope.mensagem = 'Cliente não cadastrado!';
            $window.sessionStorage.doc = err.cliente;
          }else {
            $scope.mensagem = 'Servidor não respondeu e não foi possível realizar consulta!';
          }
        });
      }
    }
})
.controller('CadastroController', function($scope, $http, $window) {
  $scope.doc = $window.sessionStorage.doc;
  $scope.address = {
      zipcode: null,
      street: null,
      neighborhood: null,
      uf: null,
      city: null,
  }

  $scope.cadastrar = function(){
    $scope.client.address = $scope.address;
    $scope.client.doc = $scope.doc;

    $http.post('../api/register', $scope.client)
    .success(function(client){
      $scope.client = client;
      $('.btn-primary').removeClass('bt-hide').addClass('bt-show');
      $scope.mensagem = 'Cadastrado com sucesso!';
    })
    .error(function(err){
      $scope.mensagem = 'Não foi possível cadastrar cliente';
    })
  };
});
